body {
    font: 10px Verdana, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    width: 80%;
}

li .wrapper > a:first-of-type {
    position: relative;
    display: block;
}
/* 100% - 4*4%= 80%
80%/4=21%*/
.slider ul li {
    width: 21%;
}

.slider ul li a img {
    max-width: 100%;
}

.descr {
    z-index: 1;
    display:none;
    position: absolute;
    min-width: 21%;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}
.poster:hover .descr {
    display:block;
}
.clicked {
    display: none;
}
.clicked:target {
    position: fixed;
    display: inherit;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    padding: 5% 25%;
    background-color:rgba(0, 0, 0, 0.7);
    z-index: 2;
}
.clicked:target img {
    width: 80%;
    height: 70%;
    min-width: 300px;
    min-height: 300px;
    max-width: 800px;
    max-height: 800px;
}

.closer {
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: 20px;
    font-weight: bold;
    color: white;
    }

.closer:focus,
.closer:hover {
  color: #000;
  cursor: pointer;
}

/* свойства для slider */
input {
    display: inherit;
    position: absolute;
    top: 65vh;
}
input[id="product-1"] {
    left: 50vw;
}
input[id="product-2"] {
    left: 55vw;
}
input[id="product-3"] {
    left: 60vw;
}

.card {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    width: 21%;
    margin: 0 3% 5% 0;
    white-space: normal;
    opacity: .5;
    transition-property: opacity;
    transition-duration: .5s;
    transition-timing-function: linear;
}
.slider {
    padding: 25px;
    text-align: center;
    color: black;
    white-space: nowrap;
    width: 100vw;
    
    transition-property: margin-left;
    transition-duration: .5s;
    transition-timing-function: linear;
}

#product-1:checked ~ .slider .slide-1,
#product-2:checked ~ .slider .slide-2,
#product-3:checked ~ .slider .slide-3 {
    opacity: 1;
}

#product-2:checked ~ .slider {
    margin-left: -90%;
}

#product-3:checked ~ .slider {
    margin-left: -170%;
}








